<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       https://www.wpdispensary.com/
 * @since      1.1.0
 *
 * @package    WPD_Inventory
 * @subpackage WPD_Inventory/admin
 */

/**
 * Action Hooks
 *
 * This is the file responsible for adding the current inventory count to menu
 * item detail tables.
 *
 * @since    1.1.0
 */

/** Inventory Data - Flowers */
add_action( 'wpd_dataoutput_bottom', 'add_wpd_inventory_data_flowers', 10 );
function add_wpd_inventory_data_flowers() { ?>
<?php
/** Check to see if the checkbox to display the inventory has been selected */
if ( get_post_meta( get_the_ID(), 'wpd_inventory_display', true ) ) { ?>
	<?php if ( in_array( get_post_type(), array( 'flowers' ) ) ) { ?>
		<?php if ( ! get_post_meta( get_the_ID(), '_inventory_flowers', true ) ) { } else { ?>
			<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_flowers', true ); ?> grams</td></tr>
		<?php } ?>
	<?php } ?>
<?php } // display check

} // function

/** Inventory Data - Concentrates */
add_action( 'wpd_dataoutput_bottom', 'add_wpd_inventory_data_concentrates', 10 );
function add_wpd_inventory_data_concentrates() { ?>
<?php
/** Check to see if the checkbox to display the inventory has been selected */
if ( get_post_meta( get_the_ID(), 'wpd_inventory_display', true ) ) { ?>
	<?php if ( in_array( get_post_type(), array( 'concentrates' ) ) ) { ?>
		<?php if ( ! get_post_meta( get_the_ID(), '_inventory_concentrates', true ) ) { } else { ?>
			<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_concentrates', true ); ?> grams</td></tr>
		<?php } ?>
		<?php if ( ! get_post_meta( get_the_ID(), '_inventory_concentrates_each', true ) ) { } else { ?>
			<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_concentrates_each', true ); ?> units</td></tr>
		<?php } ?>
	<?php } ?>
<?php } // display check

} // function

/** Inventory Data - Edibles */
add_action( 'wpd_dataoutput_bottom', 'add_wpd_inventory_data_edibles', 10 );
function add_wpd_inventory_data_edibles() { ?>
<?php
/** Check to see if the checkbox to display the inventory has been selected */
if ( get_post_meta( get_the_ID(), 'wpd_inventory_display', true ) ) { ?>
	<?php if ( in_array( get_post_type(), array( 'edibles' ) ) ) { ?>
		<?php if ( ! get_post_meta( get_the_ID(), '_inventory_edibles', true ) ) { } else { ?>
			<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_edibles', true ); ?> units</td></tr>
		<?php } ?>
	<?php } ?>
<?php } // display check

} // function

/** Inventory Data - Topicals */
add_action( 'wpd_dataoutput_bottom', 'add_wpd_inventory_data_topicals', 10 );
function add_wpd_inventory_data_topicals() { ?>
<?php
/** Check to see if the checkbox to display the inventory has been selected */
if ( get_post_meta( get_the_ID(), 'wpd_inventory_display', true ) ) { ?>
	<?php if ( in_array( get_post_type(), array( 'topicals' ) ) ) { ?>
		<?php if ( ! get_post_meta( get_the_ID(), '_inventory_topicals', true ) ) { } else { ?>
			<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_topicals', true ); ?> units</td></tr>
		<?php } ?>
	<?php } ?>
<?php } // display check

} // function

/** Inventory Data - Prerolls */
add_action( 'wpd_dataoutput_bottom', 'add_wpd_inventory_data_prerolls', 10 );
function add_wpd_inventory_data_prerolls() { ?>
<?php
/** Check to see if the checkbox to display the inventory has been selected */
if ( get_post_meta( get_the_ID(), 'wpd_inventory_display', true ) ) { ?>
	<?php if ( in_array( get_post_type(), array( 'prerolls' ) ) ) { ?>
		<?php if ( ! get_post_meta( get_the_ID(), '_inventory_prerolls', true ) ) { } else { ?>
			<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_prerolls', true ); ?> pre-rolls</td></tr>
		<?php } ?>
	<?php } ?>
<?php } // displaycheck

} // function

/** Inventory Data - Growers */
add_action( 'wpd_dataoutput_bottom', 'add_wpd_inventory_data_growers', 10 );
function add_wpd_inventory_data_growers() { ?>
<?php
/** Check to see if the checkbox to display the inventory has been selected */
if ( get_post_meta( get_the_ID(), 'wpd_inventory_display', true ) ) { ?>
	<?php if ( in_array( get_post_type(), array( 'growers' ) ) ) { ?>
		<?php if ( get_post_meta( get_the_ID(), '_seedcount', true ) ) { ?>
			<?php if ( ! get_post_meta( get_the_ID(), '_inventory_seeds', true ) ) { } else { ?>
				<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_seeds', true ); ?> units</td></tr>
			<?php } ?>
		<?php } ?>
		<?php if ( get_post_meta( get_the_ID(), '_clonecount', true ) ) { ?>
			<?php if ( ! get_post_meta( get_the_ID(), '_inventory_clones', true ) ) { } else { ?>
				<td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_clones', true ); ?> clones</td>
			<?php } ?>
		<?php } ?>
	<?php } ?>
<?php } // display check

} // function

/** Inventory Data - Tinctures */
add_action( 'wpd_dataoutput_bottom', 'add_wpd_inventory_data_tinctures', 10 );
function add_wpd_inventory_data_tinctures() { ?>
<?php
/** Check to see if the checkbox to display the inventory has been selected */
if ( get_post_meta( get_the_ID(), 'wpd_inventory_display', true ) ) { ?>
	<?php if ( in_array( get_post_type(), array( 'tinctures' ) ) ) { ?>
		<?php if ( ! get_post_meta( get_the_ID(), '_inventory_tinctures', true ) ) { } else { ?>
			<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_tinctures', true ); ?> units</td></tr>
		<?php } ?>
	<?php } ?>
<?php } // display check

} // function

/** Inventory Data - Gear */
add_action( 'wpd_dataoutput_bottom', 'add_wpd_inventory_data_gear', 10 );
function add_wpd_inventory_data_gear() { ?>
<?php
/** Check to see if the checkbox to display the inventory has been selected */
if ( get_post_meta( get_the_ID(), 'wpd_inventory_display', true ) ) { ?>
	<?php if ( in_array( get_post_type(), array( 'gear' ) ) ) { ?>
		<?php if ( ! get_post_meta( get_the_ID(), '_inventory_gear', true ) ) { } else { ?>
			<tr><td><span>In stock:</span></td><td><?php echo get_post_meta( get_the_ID(), '_inventory_gear', true ); ?> units</td></tr>
		<?php } ?>
	<?php } ?>
<?php } // display check

} // function
