<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       https://www.wpdispensary.com/
 * @since      1.0.0
 *
 * @package    WPD_Inventory
 * @subpackage WPD_Inventory/admin
 */

	/**
	 * Creating the menu item
	 */
	function wpd_outofstock_content( $content ) {
		global $post;

		/**
		 * Defining variables
		 */
		$original = '';

		$post_type = get_post_type_object( get_post_type( $post ) );

		/**
		 * Adding the WP Dispensary out of stock data
		 */
		if ( in_array( get_post_type(), array( 'flowers', 'concentrates', 'edibles', 'topicals', 'prerolls', 'growers', 'tinctures' ) ) ) {
			$original = $content;
		}

		if ( in_array( get_post_type(), array( 'flowers', 'concentrates', 'edibles', 'topicals', 'prerolls', 'growers', 'tinctures' ) ) ) {
			$content = '';
		}

		/**
		 * Adding Warning box for Flowers
		 */
		 if ( is_singular( 'flowers' ) ) {

			if ( ! get_post_meta( get_the_ID(), '_inventory_flowers', true ) ) {
				$content .= '<div class="wpd-inventory flowers warning">';
				$content .= '<p>Sorry, this flower is currently out of stock.</p>';
				$content .= '</div>';
			}

		}

		/**
		 * Adding Warning box for Edibles
		 */
		if ( is_singular( 'edibles' ) ) {

			if ( ! get_post_meta( get_the_ID(), '_inventory_edibles', true ) ) {
				$content .= '<div class="wpd-inventory edibles warning">';
				$content .= '<p>Sorry, this edible is currently out of stock.</p>';
				$content .= '</div>';
			}

		}


		/**
		 * Adding Warning box for Concentrates
		 */
		if ( is_singular( 'concentrates' ) ) {

			if ( ! get_post_meta( get_the_ID(), '_inventory_concentrates', true ) && ! get_post_meta( get_the_ID(), '_inventory_concentrates_each', true ) ) {
				$content .= '<div class="wpd-inventory concentrates warning">';
				$content .= '<p>Sorry, this concentrate is currently out of stock.</p>';
				$content .= '</div>';
			}

		}


		/**
		 * Adding Warning box for Pre-rolls
		 */
		if ( is_singular( 'prerolls' ) ) {

			if ( ! get_post_meta( get_the_ID(), '_inventory_prerolls', true ) ) {
				$content .= '<div class="wpd-inventory prerolls warning">';
				$content .= '<p>Sorry, this pre-roll is currently out of stock.</p>';
				$content .= '</div>';
			}

		}


		/**
		 * Adding Warning box for Topicals
		 */

		if ( is_singular( 'topicals' ) ) {

			if ( ! get_post_meta( get_the_ID(), '_inventory_topicals', true ) ) {
				$content .= '<div class="wpd-inventory topicals warning">';
				$content .= '<p>Sorry, this topical is currently out of stock.</p>';
				$content .= '</div>';
			}

		}


		/**
		 * Adding Warning box for Growers
		 */
		if ( is_singular( 'growers' ) ) {

			if ( get_post_meta( get_the_ID(), '_clonecount', true ) ) {
				if ( ! get_post_meta( get_the_ID(), '_inventory_clones', true ) ) {
					$content .= '<div class="wpd-inventory growers clones warning">';
					$content .= '<p>Sorry, this clone is currently out of stock.</p>';
					$content .= '</div>';
				}
			} elseif ( get_post_meta( get_the_ID(), '_seedcount', true ) ) {
				if ( ! get_post_meta( get_the_ID(), '_inventory_seeds', true ) ) {
					$content .= '<div class="wpd-inventory growers seeds warning">';
					$content .= '<p>Sorry, this seed is currently out of stock.</p>';
					$content .= '</div>';
				}
			}

		}


		/**
		 * Adding Warning box for Tinctures
		 */

		if ( is_singular( 'tinctures' ) ) {

			if ( ! get_post_meta( get_the_ID(), '_inventory_tinctures', true ) ) {
				$content .= '<div class="wpd-inventory tinctures warning">';
				$content .= '<p>Sorry, this tincture is currently out of stock.</p>';
				$content .= '</div>';
			}

		}

		/**
		 * Adding Warning box for Gear
		 */

		if ( is_singular( 'gear' ) ) {

			if ( ! get_post_meta( get_the_ID(), '_inventory_gear', true ) ) {
				$content .= '<div class="wpd-inventory gear warning">';
				$content .= '<p>Sorry, this gear is currently out of stock.</p>';
				$content .= '</div>';
			}

		}


		/**
		 * Display the out of stock message
		 */
		$content .= $original;

		return $content;

	}
	add_filter( 'the_content', 'wpd_outofstock_content' );
